<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: ti.php 4414 2006-03-13 10:16:57Z chris@m3.net $
*/

// Require the initialisation file
require_once '../../init-delivery.php';

// Required files
require_once MAX_PATH . '/lib/max/other/lib-io.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-db.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-remotehost.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-log.inc.php';
require_once MAX_PATH . '/lib/max/Delivery/cache.php';
require_once MAX_PATH . '/lib/max/Delivery/cookie.php';

/*-------------------------------------------------------*/
/* Register input variables                              */
/*-------------------------------------------------------*/

phpAds_registerGlobal (
	 'block'
	,'capping'
	,'session_capping'
	,'trackerid'
);

/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

// Determine the user ID
$userid = MAX_getUniqueUserID(false);

// Log the tracker impression
if (!phpAds_isConversionBlocked($trackerid)) {
	if ($conf['logging']['trackerImpressions']) {
		$conversionInfo = logTrackerImpression($userid, $trackerid);
		if (isset($conversionInfo['server_raw_tracker_impression_id'])) {
		    // Store tracker impression variable values
		    logVariableValues($trackerid, $conversionInfo['server_raw_tracker_impression_id'], $conversionInfo['server_raw_ip']);
		}
	}
	// Send block cookies
	phpAds_updateConversionBlockTime($trackerid);
}
MAX_flushCookie();
header("Content-Type: image/gif");
header("Content-Length: 43");
// Send a 1 x 1 gif
echo base64_decode(MAX_DELIVERY_1x1);

// stop benchmarking
stopBenchmark();

?>