<?php
/*
 * @copyright 2006 M3 Media Services
 * @version $Id:Field.php 4300 2006-02-23 16:38:40Z roh@m3.net $
 * @since 0.3.19 - Feb 10, 2006
 *
 */

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field.php';

/**
 * A plain, single-line text-entry field used as a parameter for reports.
 */
class TextField extends Field
{
    function displayField($fields, $key)
    {
        $this->_displayFieldHeader($fields[$key]['title']);
        echo "<input type='text' name='".$key."' size='";
        echo isset($fields[$key]['size']) ? $fields[$key]['size'] : "";
        echo "' value='";
        echo isset($fields[$key]['default']) ? $fields[$key]['default'] : "";
        echo "' tabindex='".($this->tabkeeper->tabindex++)."'>";
        $this->_displayFieldFooter();
    }
}

?>